[Xcb] [Bug 13546] libxcb-1.1 build fails on Solaris/gcc because __solaris__ not defined

bugzilla-daemon at freedesktop.org bugzilla-daemon at freedesktop.org
Fri Oct 9 08:39:23 PDT 2009


Alan Coopersmith <alan.coopersmith at sun.com> changed:

           What    |Removed                     |Added
             Status|NEW                         |RESOLVED
         Resolution|                            |WONTFIX

--- Comment #2 from Alan Coopersmith <alan.coopersmith at sun.com>  2009-10-09 08:39:23 PST ---
(In reply to comment #1)
> XCB builds on Solaris just fine these days, right?

It builds fine on modern Solaris releases, which have <stdint.h>

Solaris 2.6 is a very very old release at this point (1998), and
trying to mix ancient kernel & libc with modern libraries is always
going to be painful, and not very productive.   (If you're running
Solaris 2.6, it's because you have some reason for running old 
software in an unchanged environment - so why change it by introducing
new software like xcb?)   We've dropped support for releases that old
in other parts of the X Window System, so I'm going to admit this is
a bug, but one not worth fixing.

Configure bugmail: http://bugs.freedesktop.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug.

More information about the Xcb mailing list